edu.sc.seis.sod

## Class CookieJar

- java.lang.Object
- - edu.sc.seis.sod.CookieJar

- All Implemented Interfaces:
    org.apache.velocity.context.Context

      public class CookieJar
      extends java.lang.Object
      implements org.apache.velocity.context.Context

  CookieJar exists as a way for various subsetters and processors in the waveform arm to pass information down the chain. It is implemented as a Velocity Context which allows the cusomization of output status pages through velocity template files. The Event and Channel are placed in the context with names "sod_event" and "sod_channel". Created: Thu Dec 13 18:18:48 2001

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CookieEventPair` | `pair`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CookieJar()` sometime you need an empty cookie jar...
    `CookieJar(CookieEventPair pair, java.util.Map<java.lang.String,java.io.Serializable> stationCookies)`
    `CookieJar(CookieEventPair pair, java.util.Map<java.lang.String,java.io.Serializable> stationCookies, java.util.Map<java.lang.String,java.io.Serializable> channelCookies)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsKey(java.lang.Object key)`
    `java.lang.Object` | `get(java.lang.String key)`
    `org.apache.velocity.context.Context` | `getContext()`
    `java.lang.Object[]` | `getKeys()`
    `CookieEventPair` | `getPair()`
    `java.lang.Object` | `put(java.lang.String key, java.lang.Object value)`
    `void` | `put(java.lang.String key, java.io.Serializable value)`
    `java.lang.Object` | `remove(java.lang.Object key)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### pair

          protected CookieEventPair pair

  - ### Constructor Detail

    - #### CookieJar

          public CookieJar()

      sometime you need an empty cookie jar...

    - #### CookieJar

          public CookieJar(CookieEventPair pair,
                           java.util.Map<java.lang.String,java.io.Serializable> stationCookies)

    - #### CookieJar

          public CookieJar(CookieEventPair pair,
                           java.util.Map<java.lang.String,java.io.Serializable> stationCookies,
                           java.util.Map<java.lang.String,java.io.Serializable> channelCookies)

  - ### Method Detail

    - #### get

          public java.lang.Object get(java.lang.String key)

      Specified by:
        `get` in interface `org.apache.velocity.context.Context`

    - #### put

          public void put(java.lang.String key,
                          java.io.Serializable value)

    - #### getPair

          public CookieEventPair getPair()

    - #### getContext

          public org.apache.velocity.context.Context getContext()

    - #### containsKey

          public boolean containsKey(java.lang.Object key)

      Specified by:
        `containsKey` in interface `org.apache.velocity.context.Context`

    - #### getKeys

          public java.lang.Object[] getKeys()

      Specified by:
        `getKeys` in interface `org.apache.velocity.context.Context`

    - #### put

          public java.lang.Object put(java.lang.String key,
                                      java.lang.Object value)

      Specified by:
        `put` in interface `org.apache.velocity.context.Context`

    - #### remove

          public java.lang.Object remove(java.lang.Object key)

      Specified by:
        `remove` in interface `org.apache.velocity.context.Context`